--  -
-- (  -    REPADMIN)

spool CSNSNURL.LST

-- Connection to: SYSTEM@UFA3.WORLD
connect system/manager@ufa3

-- Creating user 'REPADMIN' at site 'UFA3'
create user REPADMIN identified by ADMINREP;

-- Granting admin privileges to user 'REPADMIN' at site 'ufa3'
begin
	dbms_repcat_admin.grant_admin_any_schema(
	username => 'REPADMIN');
end;
/

-- Granting admin privileges to user 'REPADMIN' at site 'ufa3'
grant comment any table to REPADMIN;
grant lock any table to REPADMIN;

-- Registering user 'REPADMIN' as propagator at site 'ufa3'
begin
   dbms_defer_sys.register_propagator(username => 'REPADMIN');
end;
/

-- Connection to: SYSTEM@SKU_NURL.WORLD
connect system/admnurl@sku_nurl

-- Creating user 'REPADMIN' at site 'SKU_NURL'
create user REPADMIN identified by ADMINREP;

-- Granting privileges to user 'REPADMIN'
-- (   -)
begin
	dbms_repcat_admin.grant_snapadmin_proxy(username => 'REPADMIN');
end;
/

-- Granting privileges to user 'REPADMIN'
grant alter session to REPADMIN;
grant create cluster to REPADMIN;
grant create database link to REPADMIN;
grant create sequence to REPADMIN;
grant create session to REPADMIN;
grant create synonym to REPADMIN;
grant create table to REPADMIN;
grant create view to REPADMIN;
grant create procedure to REPADMIN;
grant create trigger to REPADMIN;
grant unlimited tablespace to REPADMIN;
grant create type to  REPADMIN;
grant execute any procedure to REPADMIN;
grant create any trigger to REPADMIN;
grant create any procedure to REPADMIN;
grant select any table to REPADMIN;

-- Connection to: SYSTEM@ufa3.WORLD
connect system/manager@ufa3
-- Creating link from ufa3 to ufa3 
create public database link "UFA3.WORLD" using 'UFA3.WORLD';

-- Connection to: REPADMIN@UFA3.WORLD
connect repadmin/adminrep@ufa3

-- Scheduling database link 'SKU_NUR.WORLD'.
begin
   dbms_defer_sys.schedule_push(
      destination => 'SKU_NUR.WORLD',
      interval => '/*1:Hr*/ sysdate + 1/24',
      next_date => sysdate,
      stop_on_error => FALSE,
      delay_seconds => 0,
      parallelism => 1);
end;
/

-- Creating link from ufa3 to ufa3 
create database link "UFA3.WORLD"
connect to "REPADMIN" identified by "ADMINREP";

-- Scheduling purge at site 'ufa3'
begin
   dbms_defer_sys.schedule_purge(
    next_date => sysdate,
    interval => '/*1:Day*/ sysdate + 1',
    delay_seconds => 0,
    rollback_segment => '');
end;
/

spool off
